GHSA-26hm-r6mg-963c

Suggest an improvement
Source
https://github.com/advisories/GHSA-26hm-r6mg-963c
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/01/GHSA-26hm-r6mg-963c/GHSA-26hm-r6mg-963c.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-26hm-r6mg-963c
Aliases
Published
2022-01-26T00:01:25Z
Modified
2023-11-08T04:07:25.033001Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
SQL Injection in JeecgBoot
Details

In JeecgBoot 3.0, there is a SQL injection vulnerability that can operate the database with root privileges. A patch has been released on the repository's master branch.

References

Affected packages

Maven / org.jeecgframework.boot:jeecg-boot-base

Package

Name
org.jeecgframework.boot:jeecg-boot-base
View open source insights on deps.dev
Purl
pkg:maven/org.jeecgframework.boot/jeecg-boot-base

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
3.0

Affected versions

3.*

3.0

Maven / org.jeecgframework.boot:jeecg-boot-base-core

Package

Name
org.jeecgframework.boot:jeecg-boot-base-core
View open source insights on deps.dev
Purl
pkg:maven/org.jeecgframework.boot/jeecg-boot-base-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
3.0

Affected versions

3.*

3.0